FactoryBot.define do
  factory :user do
    username { Faker::Internet.unique.username }
    email_address { Faker::Internet.unique.email }
    password { Faker::Internet.unique.password(min_length: 12, max_length: 18) }
  end

  trait :admin do
    admin { true }
  end
end
